package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;

@ApiModel("菜品微量营养信息")
public class HealthDishTraceElementsVo {
   private Double cholesterol;
   private Double calcium;
   private Double iron;
   private Double iodine;
   private Double kalium;
   private Double vitaminA;
   private Double vitaminC;
   private Double vitaminE;
   private Double magnesium;
   private Double zinc;

   public HealthDishTraceElementsVo() {
   }

   public static HealthDishTraceElementsVoBuilder builder() {
      return new HealthDishTraceElementsVoBuilder();
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setIron(final Double iron) {
      this.iron = iron;
   }

   public void setIodine(final Double iodine) {
      this.iodine = iodine;
   }

   public void setKalium(final Double kalium) {
      this.kalium = kalium;
   }

   public void setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
   }

   public void setZinc(final Double zinc) {
      this.zinc = zinc;
   }

   public HealthDishTraceElementsVo(final Double cholesterol, final Double calcium, final Double iron, final Double iodine, final Double kalium, final Double vitaminA, final Double vitaminC, final Double vitaminE, final Double magnesium, final Double zinc) {
      this.cholesterol = cholesterol;
      this.calcium = calcium;
      this.iron = iron;
      this.iodine = iodine;
      this.kalium = kalium;
      this.vitaminA = vitaminA;
      this.vitaminC = vitaminC;
      this.vitaminE = vitaminE;
      this.magnesium = magnesium;
      this.zinc = zinc;
   }

   public static class HealthDishTraceElementsVoBuilder {
      private Double cholesterol;
      private Double calcium;
      private Double iron;
      private Double iodine;
      private Double kalium;
      private Double vitaminA;
      private Double vitaminC;
      private Double vitaminE;
      private Double magnesium;
      private Double zinc;

      HealthDishTraceElementsVoBuilder() {
      }

      public HealthDishTraceElementsVoBuilder cholesterol(final Double cholesterol) {
         this.cholesterol = cholesterol;
         return this;
      }

      public HealthDishTraceElementsVoBuilder calcium(final Double calcium) {
         this.calcium = calcium;
         return this;
      }

      public HealthDishTraceElementsVoBuilder iron(final Double iron) {
         this.iron = iron;
         return this;
      }

      public HealthDishTraceElementsVoBuilder iodine(final Double iodine) {
         this.iodine = iodine;
         return this;
      }

      public HealthDishTraceElementsVoBuilder kalium(final Double kalium) {
         this.kalium = kalium;
         return this;
      }

      public HealthDishTraceElementsVoBuilder vitaminA(final Double vitaminA) {
         this.vitaminA = vitaminA;
         return this;
      }

      public HealthDishTraceElementsVoBuilder vitaminC(final Double vitaminC) {
         this.vitaminC = vitaminC;
         return this;
      }

      public HealthDishTraceElementsVoBuilder vitaminE(final Double vitaminE) {
         this.vitaminE = vitaminE;
         return this;
      }

      public HealthDishTraceElementsVoBuilder magnesium(final Double magnesium) {
         this.magnesium = magnesium;
         return this;
      }

      public HealthDishTraceElementsVoBuilder zinc(final Double zinc) {
         this.zinc = zinc;
         return this;
      }

      public HealthDishTraceElementsVo build() {
         return new HealthDishTraceElementsVo(this.cholesterol, this.calcium, this.iron, this.iodine, this.kalium, this.vitaminA, this.vitaminC, this.vitaminE, this.magnesium, this.zinc);
      }

   }
}
